Mandrake Linux Security Advisory : ImageMagick (MDKSA-2004:102)

This script is Copyright (C) 2004-2014 Tenable Network Security, Inc.


Synopsis :

The remote Mandrake Linux host is missing one or more security
updates.

Description :

Several buffer overflow vulnerabilities in ImageMagick were discovered
by Marcus Meissner from SUSE. These vulnerabilities would allow an
attacker to create a malicious image or video file in AVI, BMP, or DIB
formats which could crash the reading process. It may be possible to
create malicious images that could also allow for the execution of
arbitrary code with the privileges of the invoking user or process.

The updated packages provided are patched to correct these problems.

Solution :

Update the affected packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Family: Mandriva Local Security Checks

Nessus Plugin ID: 14796 (mandrake_MDKSA-2004-102.nasl)

Bugtraq ID:

CVE ID: CVE-2004-0817
CVE-2004-0827

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now